1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Serious Help Needed. PSP and ISO

Discussion in 'Sony PSP - Mod and firmware discussion' started by amdboss1, Jun 12, 2007.

  1. amdboss1

    amdboss1 Member

    Joined:
    Jun 12, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    I just recently bought a new PSP from UK. It is version 2.81. I downloaded a couple of PSP ISOs, which i desperately want 2 play. Can you please answer my following queries:

    1. Can play downloaded ISOs on version 2.81? Please expalin a detailed step by step guide.
    2. Can I downgrade my PSP to version 1.50? Can you explain the process.
    3. Can I upgrade my PSP to version 3.03 and then to 1.50? How can I do this?
    4. CAN ANYONE OF YOU HELP ME PLAY ISO USING DEVHOOK, FASTLOADER, UMDEMULATOR ON VERISON 2.81?

    Guys I just bought my new PSP, and wanna have sum fun. Please need help urgently. Sorry for posting such question
     
  2. MidnightJ

    MidnightJ Guest

    Your posting a lot of which you should of just searched on Google.

    Anyway, you need to upgrade to 3.03 then downgrade to 1.50 with GTA LCS (Unpatched, version 2.00) then upgrade to a custom firmware, meaning you don't need Devhook,UMD Emulator, or Fastloader. You load it right off the PSP XMB.
     
  3. cnj0_6

    cnj0_6 Guest

    I believe that upgrading to 3.03 was pretty easy i just did it to my 2nd psp now i just need to get the gta disc.. I keep looking on e bay!!dont know where else to look. I wish we could just share the game!!!lol I am looking into the custom firm ware thing and will reply when i find something out.. i know you gotta get to 1.5 but not sure where to get the custom firm ware. good luck you were like me when i first down loaded everything...putting it in every where trying to get it to play.. But look on google and youll find alot.
     
  4. glenquag

    glenquag Regular member

    Joined:
    Mar 7, 2007
    Messages:
    1,879
    Likes Received:
    0
    Trophy Points:
    46
    MidnightJ is right you need to try the search bar. If you decide to downgrade from 3.03 make sure you have the right GTA: LCS disc. The unpatched version has the 2.00 update on it. There are other ways to tell it by the box but I don't know any of them.
     
  5. amdboss1

    amdboss1 Member

    Joined:
    Jun 12, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Thanx guys I really appreciate your replies, wasnt really expecting them. God Bless you all.

    I just gotta ask one more, thing. I am really new at this,

    Were can I get the software to upgrade to 3.03 and the downgrade to 1.50?

    What is GTA LCS? Where can I get it? (It is GTA Liberty City Stories) How can I downgrade using that.

    How do I upgrade to a custom firmware?

    And whats PSP XMB?

    Sorry guys for such stupid questions. I m really new at this. So forgive me. Thanx in advance.
     
  6. djmazz

    djmazz Regular member

    Joined:
    Dec 18, 2006
    Messages:
    647
    Likes Received:
    0
    Trophy Points:
    26
    you can get what you need to upgrade/downgrade from the link in my sig.
    yes, gta;lcs is gta liberty city stories. its needed because theres an exploit or glitch in a save(or something like that) enabling the downgrade to work.
    and the xmb is the psp's main menu.
     
  7. amdboss1

    amdboss1 Member

    Joined:
    Jun 12, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Thanx guys i think i wont need any help for a quite a long time. I reall appreciate all this. Thanx.
     

Share This Page